Bug 975470 - Seam2.3 - doc issues in revision 2.3.0-1 of reference guide
Seam2.3 - doc issues in revision 2.3.0-1 of reference guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: doc-Seam-Reference-Guide (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 2.3.0
Assigned To: Sneha
Marek Schmidt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 10:21 EDT by Tomas Remes
Modified: 2014-11-09 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:33:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Remes 2013-06-18 10:21:58 EDT
"1.1.1. Running the examples on JBoss Enterprise Application Platform
... Set jboss.home, in the shared build.properties file (in the root folder of your Seam installation) ..."

---> This sentence could be probably removed, since there is no build.properties file in Seam root folder. There is just need to set JBOSS_HOME as environment variable, when executing from command line.

"1.3.1.4. The view: messages.xhtml
The JSF page is a straightforward use of the JSF <h:dataTable> component. Again, nothing specific to Seam."

---> This is not true. In the following code snippet  there are used s:link and s:button components, which are the Seam ones.  Then in following chapter (1.3.2. How it works) there is described usage of h:commandLink and h:commandButton. This might be confusing. 

"1.4.1. Introduction
... The booking application uses JSF, EJB 3.0 ...."

---> The example uses EJB 3.1 to be precise. 

"Example 1.17. main.xhtml
...All the navigation rules are in WEB-INF/pages.xmlfile, and discussed..."


---> Typo in code describing paragraph number 4. There is missing space after "pages.xml".

"2.4. Changes in the testing framework"

---> Paragraphs number 3 and 5 need to be changed, due to example migration. There is no more path jboss-seam-x.y.z.Final/examples/booking/booking-tests/src/test/java/org/jboss/seam/example/booking/test/Deployments.java. This is changed to jboss-seam-x.y.z.Final/examples/booking/booking-ejb/src/test/java/org/jboss/seam/example/booking/test/Deployments.java. The code snippet needs to be also changed according to current values (see the file or ask QE). 
The path jboss-seam-x.y.z.Final/examples/booking/booking-tests/src/test/resources-integration/arquillian.xml in paragraph 5 also needs to be changed to jboss-seam-x.y.z.Final/examples/booking/booking-ejb/src/test/resources-integration/arquillian.xml.

"Example 2.11. Seam BOM usage"

---> In code snippet there is <version>2.3.1.Final-redhat-1</version>, which is actually 2.3.1.Final-redhat-2

"3.2. Setting up a new project"
" ... The Eclipse project is automatically deployed to an exploded directory structure in JBoss AS ..."

This refers to JBoss AS. It needs to be changed to JBoss Enteprise Application Platform (or simply EAP ? not sure).

"5.1.9. Concurrency model"
"So @Synchronizedannotation is ignored on stateful session beans."

---> Typo in the "Important" box in the end of chapter. There is missing space after "@Synchronized".

"5.2.4. JavaBeans"
"A later chapterdiscusses the use of Seam and Hibernate without an EJB container".

---> Typo - missing space after chapter.
Comment 1 Sneha 2013-06-20 03:07:40 EDT
Also, please confirm if all instances of JBoss As should be changed, including examples.
Comment 3 Tomas Remes 2013-06-25 02:24:15 EDT
@Sneha: I think we should refer to EAP everywhere.

Some additional issues found:

"14.6.5. Securing Entities"
"Note that the method need not perform any action; it is only important that it be annotated correctly:"

---> I think correct is: "... it is only important that it is annotated correctly" 

"21.1. Using Caching in Seam"
In Note box there is following sentence with wrong versions: "The built-in cacheProvider component that uses Infinispan Tree module as JBoss Cache successor is not supported in Seam 2.3.1.Final-redhat-1 as part of Red Hat JBoss Web Framework Kit 2.2.0."

There is typo in "To add mutable objects to the cache, read the documentation of the underling caching project to know how to notify the cache of changes to the cache."

---> Missing "y" in underling word.
Comment 4 Sneha 2013-06-25 08:07:06 EDT
Tomas,

What are you suggesting for the following (ref: above description):

"1.3.1.4. The view: messages.xhtml
The JSF page is a straightforward use of the JSF <h:dataTable> component. Again, nothing specific to Seam."

---> This is not true. In the following code snippet  there are used s:link and s:button components, which are the Seam ones.  Then in following chapter (1.3.2. How it works) there is described usage of h:commandLink and h:commandButton. This might be confusing.
Comment 5 Tomas Remes 2013-06-25 08:28:59 EDT
@Sneha: I think you can just remove sentence "Again, nothing specific to Seam." and then replace h:commandLink with s:link and h:commandButton with s:button in the text below.
Comment 7 Tomas Remes 2013-06-28 04:26:31 EDT
Hey Sneha, thank you for updates. However I can see few more issues.

"2.4. Changes in the testing framework"
The code snippet for point 4 (meaning the second one taken from booking example) need also update (I didn't notice that for first time, sorry). Please ping me for additional info.

"26.2. Configuration"
<version>4.2.0.Final-redhat-wfk-1</version>

---> current Hibernate search version is 4.3.0.Final-redhat-wfk-2

"27.1.4. Integrating Seam with your EJB container"
"First, we will talk about how the EJB component is transferred to JNDI. To avoid using XML, JBoss Enterprise Application Platform uses..."

---> Missing "Red Hat" before JBoss Enterprise Application Platform.

"Assuming that your EJB bean class is deployed in an EAR named myapp, the global JNDI name assigned on the JBoss Enterprise Application Platform"

---> Again missing "Red Hat"

"27.6. Deployment in Red Hat JBoss Enterprise Application Platform 6"
"JBoss Enterprise Application Platform 6 is the default deployment target for all examples in Seam 2.3 distribution."

---> Again missing "Red Hat"

"27.7. Configuring SFSB and Session Timeouts in Red Hat JBoss Enterprise Application Platform 6"
"JBoss Enterprise Application Platform 6 has a default session bean timeout of 30 minutes, which is configured ... "

---> Again missing "Red Hat"

"33.2.1. Configuration"
"... rovided the JBOSS_HOME environment property points to the JBoss Enterprise Application Platform 6 installation."

---> Again missing "Red Hat"
Comment 8 Sneha 2013-06-28 08:26:13 EDT
Tomas,

We are using the 'Red Hat' prefix for the following instances of product names (other than the front page of the guide):
1. in headings
2. first instance in a chapter
(Ref: the mailer from Mike Piech about product naming updates)
Comment 9 Sneha 2013-06-28 09:07:29 EDT
Updated the guide with the first two changes suggested in comment 7.
Comment 11 Marek Schmidt 2013-07-09 04:20:12 EDT
verified, thanks!

Note You need to log in before you can comment on or make changes to this bug.